Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.sigfile.f31
Class F31Parser

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.f31.F31Parser

All Implemented Interfaces:
  Parser

    public class F31Parser

extends java.lang.Object
implements Parser

Parse string representation used in sigfile v3.1 and create corresponding member object

Constructor Summary
`F31Parser()`

Method Summary
`protected MemberDescription` | `parse(ClassDescription cls, java.lang.String def)`
`protected MemberDescription` | `parse(ConstructorDescr ctor, java.lang.String def)`
`protected MemberDescription` | `parse(FieldDescr field, java.lang.String def)`
`protected MemberDescription` | `parse(InnerDescr inner, java.lang.String def)`
`protected MemberDescription` | `parse(MethodDescr method, java.lang.String def)`
`protected MemberDescription` | `parse(SuperClass superCls, java.lang.String def)`
`protected MemberDescription` | `parse(SuperInterface superIntf, java.lang.String def)`
`ClassDescription` | `parseClassDescription(java.lang.String classDefinition, java.util.List members)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### F31Parser

    public F31Parser()

Method Detail

### parseClassDescription

    public ClassDescription parseClassDescription(java.lang.String classDefinition,
                                                  java.util.List members)

  Specified by:
    `parseClassDescription` in interface `Parser`

### parse

    protected MemberDescription parse(ClassDescription cls,
                                      java.lang.String def)

### parse

    protected MemberDescription parse(ConstructorDescr ctor,
                                      java.lang.String def)

### parse

    protected MemberDescription parse(MethodDescr method,
                                      java.lang.String def)

### parse

    protected MemberDescription parse(FieldDescr field,
                                      java.lang.String def)

### parse

    protected MemberDescription parse(SuperClass superCls,
                                      java.lang.String def)

### parse

    protected MemberDescription parse(SuperInterface superIntf,
                                      java.lang.String def)

### parse

    protected MemberDescription parse(InnerDescr inner,
                                      java.lang.String def)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD